Bug 1422163 - blosc-bench: Switch to Python 3 [NEEDINFO]
Summary: blosc-bench: Switch to Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blosc
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thibault North
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2017-02-14 15:50 UTC by Iryna Shcherbina
Modified: 2018-02-06 15:27 UTC (History)
3 users (show)

Fixed In Version: blosc-1.13.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 11:22:10 UTC
jberan: needinfo? (thibault.north)


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-02-14 15:50:34 UTC
Upstream, this software supports Python 3 [0]. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

Since users aren't expected to import this tool from Python code,
you can just switch to /usr/bin/python3. Alternatively, if you want or
need to keep a Python 2 version, the current best practice is to provide
subpackages -- this is called "Common SRPM" in the guidelines.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [3].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://github.com/Blosc/c-blosc/blob/master/RELEASE_NOTES.rst#changes-from-171-to-180
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[3] http://python-rpm-porting.readthedocs.io/

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-02-14 20:00:42 UTC
The support for python3 was a bit iffy, but chances are it's much better now.

Comment 2 Fedora End Of Life 2017-02-28 11:17:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jan Beran 2018-01-18 15:32:12 UTC
Hello Thibault,

I have created a Pagure PR which includes the new version 1.13.1 and uses Python 3:

https://src.fedoraproject.org/rpms/blosc/pull-request/1

May I ask you to review the PR, and if the patch is fine, to rebuild the package?

Comment 4 Fedora Update System 2018-01-19 00:57:34 UTC
blosc-1.13.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8cdc872f25

Comment 5 Fedora Update System 2018-01-19 16:35:20 UTC
blosc-1.13.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8cdc872f25

Comment 6 Fedora Update System 2018-02-06 11:22:10 UTC
blosc-1.13.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-02-06 15:27:44 UTC
blosc-1.13.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.